package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.GroupType;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/12/30
 */
public class Group {

    @ApiModelProperty(value = "编号")
    private String id;

    @ApiModelProperty(value = "部门编号")
    private Integer organId;

    @ApiModelProperty(value = "部门名称")
    private String organName;

    @ApiModelProperty(value = "团体名称")
    private String groupName;

    @ApiModelProperty(value = "团体类型")
    private GroupType groupType;

    @ApiModelProperty(value = "班级编号")
    private Integer classGroupId;

    @ApiModelProperty(value = "班级名称")
    private String classGroupName;

    public Group() {
    }

    public Group(String id, GroupType groupType) {
        this.id = id;
        this.groupType = groupType;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

}
